onEvent('recipes', event => {

    //Ingots

    //Iron Ingots
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("minecraft:iron_ingot", 1))
        .requireItem(Item.of("kubejs:ingot_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_iron", 144))

    //Gold Ingots
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("minecraft:gold_ingot", 1))
        .requireItem(Item.of("kubejs:ingot_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_gold", 144))

    //Diamond
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("minecraft:diamond", 1))
        .requireItem(Item.of("kubejs:gem_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_diamond", 144))

    //Emerald
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("minecraft:emerald", 1))
        .requireItem(Item.of("kubejs:gem_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_emerald", 144))

    //Netherite Ingot
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("minecraft:netherite_ingot", 1))
        .requireItem(Item.of("kubejs:ingot_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_netherite", 144))

    //Starmetal Ingot
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("astralsorcery:starmetal_ingot", 1))
        .requireItem(Item.of("kubejs:ingot_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_starmetal", 144))

    //Energised Gold Alloy Ingot
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:energised_gold_alloy_ingot", 1))
        .requireItem(Item.of("kubejs:ingot_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_energised_gold_alloy", 144))
    
    //Netherite-Starmetal Alloy Ingot
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:netherite_starmetal_alloy_ingot", 1))
        .requireItem(Item.of("kubejs:reinforced_ingot_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_netherite_starmetal_alloy", 144))

    //Crystallized Starlight
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:crystallized_starlight", 1))
        .requireItem(Item.of("kubejs:gem_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("astralsorcery:liquid_starlight", 1000))



    //Pickaxe Head

    //Iron Pickaxe Head
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:iron_pickaxe_head", 1))
        .requireItem(Item.of("kubejs:pickaxe_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_iron", 432))

    //Golden Pickaxe Head
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:golden_pickaxe_head", 1))
        .requireItem(Item.of("kubejs:pickaxe_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_gold", 432))

    //Diamond Pickaxe Head
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:diamond_pickaxe_head", 1))
        .requireItem(Item.of("kubejs:pickaxe_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_diamond", 432))

    //Netherite Pickaxe Head
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:netherite_pickaxe_head", 1))
        .requireItem(Item.of("kubejs:reinforced_pickaxe_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_netherite_starmetal_alloy", 432))



    //Axe Head

    //Iron Axe Head
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:iron_axe_head", 1))
        .requireItem(Item.of("kubejs:axe_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_iron", 432))

    //Golden Axe Head
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:golden_axe_head", 1))
        .requireItem(Item.of("kubejs:axe_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_gold", 432))

    //Diamond Axe Head
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:diamond_axe_head", 1))
        .requireItem(Item.of("kubejs:axe_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_diamond", 432))

    //Netherite Axe Head
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:netherite_axe_head", 1))
        .requireItem(Item.of("kubejs:reinforced_axe_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_netherite_starmetal_alloy", 432))



    //Sword Blade

    //Iron Sword Blade
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:iron_sword_blade", 1))
        .requireItem(Item.of("kubejs:sword_blade_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_iron", 288))

    //Golden Sword Blade
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:golden_sword_blade", 1))
        .requireItem(Item.of("kubejs:sword_blade_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_gold", 288))

    //Diamond Sword Blade
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:diamond_sword_blade", 1))
        .requireItem(Item.of("kubejs:sword_blade_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_diamond", 288))

    //Netherite Sword Blade
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:netherite_sword_blade", 1))
        .requireItem(Item.of("kubejs:reinforced_sword_blade_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_netherite_starmetal_alloy", 288))



    //Sword Guard

    //Iron Sword Guard
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:iron_sword_guard", 1))
        .requireItem(Item.of("kubejs:sword_guard_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_iron", 288))

    //Golden Sword Guard
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:golden_sword_guard", 1))
        .requireItem(Item.of("kubejs:sword_guard_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_gold", 288))

    //Diamond Sword Guard
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:diamond_sword_guard", 1))
        .requireItem(Item.of("kubejs:sword_guard_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_diamond", 288))

    //Netherite Sword Guard
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:netherite_sword_guard", 1))
        .requireItem(Item.of("kubejs:reinforced_sword_guard_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_netherite_starmetal_alloy", 288))



    //Shovel Head

    //Iron Shovel Head
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:iron_shovel_head", 1))
        .requireItem(Item.of("kubejs:shovel_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_iron", 144))

    //Gold Shovel Head
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:golden_shovel_head", 1))
        .requireItem(Item.of("kubejs:shovel_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_gold", 144))

    //Diamond Shovel Head
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:diamond_shovel_head", 1))
        .requireItem(Item.of("kubejs:shovel_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_diamond", 144))

    //Netherite Shovel Head
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:netherite_shovel_head", 1))
        .requireItem(Item.of("kubejs:reinforced_shovel_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_netherite_starmetal_alloy", 144))



    //Hoe Head

    //Iron Hoe Head
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:iron_hoe_head", 1))
        .requireItem(Item.of("kubejs:hoe_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_iron", 288))

    //Golden Hoe Head
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:golden_hoe_head", 1))
        .requireItem(Item.of("kubejs:hoe_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_gold", 288))

    //Diamond Hoe Head
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:diamond_hoe_head", 1))
        .requireItem(Item.of("kubejs:hoe_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_diamond", 288))

    //Netherite Hoe Head
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:netherite_hoe_head", 1))
        .requireItem(Item.of("kubejs:reinforced_hoe_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_netherite_starmetal_alloy", 288))



    //Briliant

    //Briliant Diamond
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:briliant_diamond", 1))
        .requireItem(Item.of("kubejs:reinforced_gem_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_briliant_diamond", 144))

    //Briliant Emerald
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:briliant_emerald", 1))
        .requireItem(Item.of("kubejs:reinforced_gem_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_briliant_emerald", 144))



    //Reinforced Casts

    //Reinforced Empty Cast
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:reinforced_empty_cast"))
        .requireItem(Item.of("kubejs:empty_cast"))
        .requireFluid(Fluid.of("kubejs:molten_netherite_starmetal_alloy", 576))

    //Reinforced Ingot Cast
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:reinforced_ingot_cast"))
        .requireItem(Item.of("kubejs:ingot_cast"))
        .requireFluid(Fluid.of("kubejs:molten_netherite_starmetal_alloy", 576))

    //Reinforced Pickaxe Cast
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:reinforced_pickaxe_cast"))
        .requireItem(Item.of("kubejs:pickaxe_cast"))
        .requireFluid(Fluid.of("kubejs:molten_netherite_starmetal_alloy", 576))

    //Reinforced Axe Cast
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:reinforced_axe_cast"))
        .requireItem(Item.of("kubejs:axe_cast"))
        .requireFluid(Fluid.of("kubejs:molten_netherite_starmetal_alloy", 576))

    //Reinforced Sword Blade Cast
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:reinforced_sword_blade_cast"))
        .requireItem(Item.of("kubejs:sword_blade_cast"))
        .requireFluid(Fluid.of("kubejs:molten_netherite_starmetal_alloy", 576))

    //Reinforced Sword Guard Cast
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:reinforced_sword_guard_cast"))
        .requireItem(Item.of("kubejs:sword_guard_cast"))
        .requireFluid(Fluid.of("kubejs:molten_netherite_starmetal_alloy", 576))

    //Reinforced Shovel Cast
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:reinforced_shovel_cast"))
        .requireItem(Item.of("kubejs:shovel_cast"))
        .requireFluid(Fluid.of("kubejs:molten_netherite_starmetal_alloy", 576))

    //Reinforced Hoe Cast
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:reinforced_hoe_cast"))
        .requireItem(Item.of("kubejs:hoe_cast"))
        .requireFluid(Fluid.of("kubejs:molten_netherite_starmetal_alloy", 576))

    //Reinforced Gem Cast
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:reinforced_gem_cast"))
        .requireItem(Item.of("kubejs:gem_cast"))
        .requireFluid(Fluid.of("kubejs:molten_netherite_starmetal_alloy", 576))



    //Netherite Armor

    //Netherite Helmet
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("minecraft:netherite_helmet"))
        .requireItem(Item.of("minecraft:diamond_helmet"))
        .requireFluid(Fluid.of("kubejs:molten_netherite", 720))

    //Netherite Chestplate
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("minecraft:netherite_chestplate"))
        .requireItem(Item.of("minecraft:diamond_chestplate"))
        .requireFluid(Fluid.of("kubejs:molten_netherite", 1152))

    //Netherite Leggings
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("minecraft:netherite_leggings"))
        .requireItem(Item.of("minecraft:diamond_leggings"))
        .requireFluid(Fluid.of("kubejs:molten_netherite", 1008))

    //Netherite Boots
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("minecraft:netherite_boots"))
        .requireItem(Item.of("minecraft:diamond_boots"))
        .requireFluid(Fluid.of("kubejs:molten_netherite", 576))


        
    //Ultimate Exclusive

    //The Ultimate Ingot
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("extendedcrafting:the_ultimate_ingot", 1))
        .requireItem(Item.of("kubejs:reinforced_ingot_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_ultimate", 144))

    //Spacetime Ingot
    event.recipes.custommachinery.custom_machine("modpack:ultimate_fluid_solidifier", 1)
        .produceItem(Item.of("kubejs:spacetime_ingot", 1))
        .requireItem(Item.of("kubejs:reinforced_ingot_cast", 1)).chance(0.0)
        .requireFluid(Fluid.of("kubejs:molten_spacetime", 144))

})